#include <stdio.h>
#include <stdlib.h>

int main()
{
   int novac,broj_novcanica=0,broj;
   
   scanf("%d",&novac);


   for (;novac>=1;novac/=10)
    {
        broj = novac % 10;
        for(;broj/5>=1;broj-=5)
        broj_novcanica++;
        for(;broj/2>=1;broj-=2)
        broj_novcanica++;
        for(;broj/1>=1;broj--)
        broj_novcanica++;
    }
    printf("%d",broj_novcanica);












    return 0;
}